Subject: [Dime] RFC3588 Missing States in the Auth State Machine

From: Frank Kuehndel <[email-masked]>
Date: Thu, 09 Nov 2006 14:26:58 +0100

Hello everybody,

I was ask by Victor Fajardo to forward some text to this mailing list.
This text bases on an email, which I send earlier to the OpenDiameter
mailing list.

It occurs to me that there are two issues missing in Section 8.1
"Authorization Session State Machine" of RFC3588 from September 2003:

1) User Initiated Termination on the Clint Side.

   The client state machine permits the sending
   of STR (Session-Termination-Request) in open
   state only for "Session-Timeout" and "ARA
   received" but not on user request. What when
   the user wants to terminate the session?
   (See also closed OpenDiameter bug "1465587
   Client cannot terminate a session")

2) Server Sends Requests to the User

   Slide 30 (titled "Improvements over Radius") of the Diameter
   Tutorial shows the point "Server-initiated messages".
   Yet, in the authorization server state machine
   the server sends only answers or ASR (Abort-Session-
   Requests) to the client in open state.
   (See also closed OpenDiameter bug "1338402 client
   cannot receive service/application specific requests")

I have never worked with the Accounting-State-Machine,
so I do not know whether the same points apply there, too.

Greetings,
Frank

References

OpenDiameter mailing list
https://lists.sourceforge.net/lists/listinfo/diameter-developers

OpenDiameter bug 1465587
http://sourceforge.net/tracker/index.php?func=detail&aid=1465587&group_id=43533&atid=436637

OpenDiameter bug 1338402
http://sourceforge.net/tracker/index.php?func=detail&aid=1338402&group_id=43533&atid=436637

RFC3588 from September 2003
http://www.rfc-editor.org/rfc/rfc3588.txt

Victor's "Diameter Protocol Errata and Issues"
http://www.opendiameter.org/public/draft-fajardo-dime-diameter-errata-00.txt

Victor and Yoshihiro Ohba's "Diameter Base Protocol Details" tutorial slides
http://www.opendiameter.org/public/ietf67-diameter-tutorial.ppt

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime